net.sf.jasperreports.engine.export

## Interface GenericElementJExcelApiMetadataHandler

- All Superinterfaces:
    GenericElementHandler

  Deprecated.
  To be removed.

      public interface GenericElementJExcelApiMetadataHandler
      extends GenericElementHandler

  A generic print element XLS export handler.
  Version:
    $Id: GenericElementJExcelApiMetadataHandler.java 6711 2013-11-08 19:58:59Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `exportElement(JExcelApiExporterContext exporterContext, JRGenericPrintElement element, java.util.Map<java.lang.String,java.lang.Object> currentRow, java.util.Map<java.lang.String,java.lang.Object> repeatedValues, java.util.List<java.lang.String> columnNames, java.util.Map<java.lang.String,java.lang.Integer> columnNamesMap, java.lang.String currentColumnName, int colIndex, int rowIndex, boolean repeatValue)` Deprecated. Exports a generic element.

    - ### Methods inherited from interface net.sf.jasperreports.engine.export.GenericElementHandler

      `toExport`

- - ### Method Detail

    - #### exportElement

          int exportElement(JExcelApiExporterContext exporterContext,
                          JRGenericPrintElement element,
                          java.util.Map<java.lang.String,java.lang.Object> currentRow,
                          java.util.Map<java.lang.String,java.lang.Object> repeatedValues,
                          java.util.List<java.lang.String> columnNames,
                          java.util.Map<java.lang.String,java.lang.Integer> columnNamesMap,
                          java.lang.String currentColumnName,
                          int colIndex,
                          int rowIndex,
                          boolean repeatValue)

      Deprecated.
      Exports a generic element.

      Access to the exporter output and environment is provided via the `JExcelApiExporterContext` argument.

      Parameters:
        `exporterContext` - the exporter context
        `element` - the generic element to export
        `currentRow` - the map with column names as keys and exported CellValue objects as values
        `repeatedValues` - the map containing CellValue objects to be placed instead in the currentRow map when the exported object is null
        `columnNames` - the list of column names
        `columnNamesMap` - the map containing the mapping between column names and column indexes
        `currentColumnName` - the current column's name
        `colIndex` - the current column index
        `rowIndex` - the current row index
        `repeatValue` - the flag specifying if null values should be replaced with objects from the repeatedValues map
      Returns:
        int value representing the resulting row index, if this was incremented during export

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com